> For the complete documentation index, see [llms.txt](https://docs.convai.com/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.convai.com/api-docs/zh/wu-dai-ma-ti-yan/avatar-studio-experiences/customizing-your-avatar/environment/uploading-scenes.md).

# 上传场景

## 简介

本指南将说明如何上传 **自定义场景（关卡）** 从 Unreal Engine 5.3 到 **Avatar Studio** 使用 **Convai Modding Tool**。无论你是在构建丰富的环境还是由 AI 驱动的场景，你都将学会如何在几个步骤内准备、标记并上传它们。

***

## 先决条件

请确保你已具备：

* 已使用以下工具创建你的项目： [**Convai Modding Tool**](/api-docs/zh/asset-uploader.md)
  * 已选择 **`1`** 当系统询问你是在上传场景还是头像时
* 一个已完全准备并测试过的 Unreal Engine 关卡（包含所有必要资源）

***

## 分步指南

### 1. 打开项目

通过双击以下项目，打开由 Modding Tool 创建的项目： `.uproject` 文件。

***

### 2. 导入场景

将你的自定义关卡以及所有所需资源（模型、环境包等）导入到项目中。

确保该关卡可完整游玩，并且不包含任何损坏的引用。

***

### 3. 编辑器（玩家）起始点

要设置编辑器（玩家）在关卡中的生成位置

1. 放置一个 **Actor** 到你的关卡中
2. 将其移动到所需的 **生成位置**
3. 在 **Details** 面板中，将 **标签** 将该 Actor 的标签设为：

```
EditorSpawn
```

{% hint style="warning" %}
此标签至关重要。它能帮助系统在场景加载到 Avatar Studio 后知道将编辑器（玩家）放置在哪里。
{% endhint %}

***

### 4. 准备上传文件

1. 导航到：\
   `Plugins/<随机代码> Content/`\
   （例如， `Plugins/AHK3LNKVC7FZA3I5JG3V Content/`)
2. 拖动并 **移动** 将你的关卡文件夹及其依赖项移动到此目录中。

{% hint style="info" %}
这可确保在打包和上传过程中包含该关卡及其所有引用。
{% endhint %}

***

### 5. 打开 AssetUploader 工具

* 前往 `Content/Editor/AssetUploader`
* 右键单击并选择 **运行编辑器实用程序小部件**

***

### 6. 选择关卡资源

* 在 **内容浏览器**，前往其中的目录\
  `Plugins/<随机代码> Content/`
* 选择你的 **关卡资源**
* 返回到 **资源上传器** 窗口并单击 **选择资源**

***

### 7. 捕获缩略图

单击 **捕获缩略图** 以生成将显示在 Avatar Studio 中的预览图。

***

### 8. 上传场景

当一切准备就绪后，单击 **创建资源** 在 Asset Uploader 中。

该过程包括：

* **打包** 将关卡打包为 Win64
* **上传** 将关卡上传到 Avatar Studio

请查看 **输出日志**:

* 查找 `打包完成`
* 然后 `已上传资源` 以确认上传成功

{% hint style="warning" %}
如果在打包过程中出现错误，请检查日志并将其分享到 [Convai 开发者论坛](https://forum.convai.com/) 以获取支持。
{% endhint %}

{% hint style="info" %}
要删除之前上传的资源，请打开 AssetUploader 并点击 **删除**.
{% endhint %}

***

## 访问场景

1. 访问 [Avatar Studio](https://convai.com/)
2. 打开 **上传你的自定义场景** 部分
3. 你的关卡将显示在列表中，随时可用于测试或与头像集成

***

## 总结

上传自定义关卡可让你在 Convai Sim 中为你的 AI 头像创建丰富的环境。Modding Tool 会自动完成大部分设置——只需确保设置好生成点并将资源移动到正确的文件夹。


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.convai.com/api-docs/zh/wu-dai-ma-ti-yan/avatar-studio-experiences/customizing-your-avatar/environment/uploading-scenes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
